import { extractApHashtagObjects } from "../models/tag.js";
import { fromHtml } from "../../../mfm/from-html.js";
export async function htmlToMfm(html, tag) {
    const hashtagNames = extractApHashtagObjects(tag).map((x)=>x.name).filter((x)=>x != null);
    return await fromHtml(html, hashtagNames);
}
